`pip` отсутствует python 3.4.3, PyCharm IDE

76
6

Я только что установил python 3.4.3 и pyCharm 4.5, установив модуль 6. Появилось следующее сообщение об ошибке. Я думал, что pip включен в установку python 3.4.3. Любые предложения?


Traceback (most recent call last):
File "C:\Program Files (x86)\JetBrains\PyCharm Community Edition 4.5.3\helpers\packaging_tool.py", line 56, in do_install
import pip
ImportError: No module named 'pip'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Program Files (x86)\JetBrains\PyCharm Community Edition 4.5.3\helpers\packaging_tool.py", line 125, in main
retcode = do_install(pkgs)
File "C:\Program Files (x86)\JetBrains\PyCharm Community Edition 4.5.3\helpers\packaging_tool.py", line 58, in do_install
error_no_pip()
File "C:\Program Files (x86)\JetBrains\PyCharm Community Edition 4.5.3\helpers\packaging_tool.py", line 36, in error_no_pip
tb = sys.exc_traceback
AttributeError: 'module' object has no attribute 'exc_traceback'


UPDATE:


Хорошо, после предложения ниже я проверил, что на жестком диске нет pip.exe. Поэтому я загрузил get-pip.py и попытался установить его. Вот сообщение об ошибке:


C:\Python34>python get-pip.py
Collecting pip
Using cached pip-7.1.0-py2.py3-none-any.whl
Collecting wheel
Using cached wheel-0.24.0-py2.py3-none-any.whl
Installing collected packages: pip, wheel
Found existing installation: pip 6.0.8
Exception:
Traceback (most recent call last):
File "C:\Users\somepath\AppData\Local\Temp\tmpram2_j5v\pip.zip\pip\basecommand
.py", line 223, in main
status = self.run(options, args)
File "C:\Users\somepath\AppData\Local\Temp\tmpram2_j5v\pip.zip\pip\commands\in
stall.py", line 299, in run
root=options.root_path,
File "C:\Users\somepath\AppData\Local\Temp\tmpram2_j5v\pip.zip\pip\req\req_set
.py", line 640, in install
requirement.uninstall(auto_confirm=True)
File "C:\Users\somepath\AppData\Local\Temp\tmpram2_j5v\pip.zip\pip\req\req_ins
tall.py", line 683, in uninstall
for path in pip.wheel.uninstallation_paths(dist):
File "C:\Users\somepath\AppData\Local\Temp\tmpram2_j5v\pip.zip\pip\wheel.py",
line 512, in unique
for item in fn(*args, **kw):
File "C:\Users\somepath\AppData\Local\Temp\tmpram2_j5v\pip.zip\pip\wheel.py",
line 531, in uninstallation_paths
r = csv.reader(FakeFile(dist.get_metadata_lines('RECORD')))
File "C:\Users\somepath\AppData\Local\Temp\tmpram2_j5v\pip.zip\pip\_vendor\pkg
_resources\__init__.py", line 1619, in get_metadata_lines
return yield_lines(self.get_metadata(name))
File "C:\Users\somepath\AppData\Local\Temp\tmpram2_j5v\pip.zip\pip\_vendor\pkg
_resources\__init__.py", line 1616, in get_metadata
return self._get(self._fn(self.egg_info, name)).decode("utf-8")
File "C:\Users\somepath\AppData\Local\Temp\tmpram2_j5v\pip.zip\pip\_vendor\pkg
_resources\__init__.py", line 1722, in _get
with open(path, 'rb') as stream:
FileNotFoundError: [Errno 2] No such file or directory: 'c:\\python34\\lib\\site
-packages\\pip-6.0.8.dist-info\\RECORD'

ЗАКЛЮЧИТЕЛЬНОЕ ОБНОВЛЕНИЕ:


Удалена папка Python и удаление папки C:\Python34. Появилась новая установка с пипсом. Извините за весь этот беспорядок.

спросил(а) 2015-07-16T01:05:00+03:00 4 года, 11 месяцев назад
0
Ваш ответ
Введите минимум 50 символов
Чтобы , пожалуйста,
Выберите тему жалобы:

Другая проблема